summaryrefslogtreecommitdiff
path: root/contrib/regression/btest-gcc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/regression/btest-gcc.sh')
-rwxr-xr-xcontrib/regression/btest-gcc.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/contrib/regression/btest-gcc.sh b/contrib/regression/btest-gcc.sh
index 512609b8633..7a704e69d29 100755
--- a/contrib/regression/btest-gcc.sh
+++ b/contrib/regression/btest-gcc.sh
@@ -110,8 +110,12 @@ if [ $H_HOST = $H_TARGET ] ; then
make all || exit 1
fi
else
- $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET \
- --with-gnu-ld --with-gnu-as --with-newlib || exit 1
+ withopt="--with-gnu-ld --with-gnu-as"
+ case "$H_TARGET" in
+ *-linux*) ;;
+ *) withopt="$withopt --with-newlib";;
+ esac
+ $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET $withopt || exit 1
make || exit 1
fi
echo error > $RESULT || exit 1